osmo-gmr: Data Fields

osmo-gmr 0.2.104-2b98 Osmocom GMR-1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - _ -

- _ref : gmr1_pi4cxpsk_sync

### - b -

- bits : gmr1_pi4cxpsk_modulation
- bits_cpp : gmr1_interleaver

### - d -

- data : gmr1_pi4cxpsk_burst, gmr1_pi4cxpsk_symbol
- dec : gmr1_codec

### - e -

- ebits : gmr1_pi4cxpsk_burst

### - f -

- f0 : ambe_subframe
- f0log : ambe_subframe
- f1 : tone_desc
- f2 : tone_desc
- freq : gmr1_fcch_burst

### - g -

- gain : ambe_raw_params, ambe_subframe
- guard_post : gmr1_pi4cxpsk_burst
- guard_pre : gmr1_pi4cxpsk_burst

### - i -

- idx : gmr1_pi4cxpsk_symbol

### - k -

- K : gmr1_interleaver

### - l -

- L : ambe_subframe, gmr1_puncturer
- Lb : ambe_subframe
- len : gmr1_fcch_burst, gmr1_pi4cxpsk_burst, gmr1_pi4cxpsk_data, gmr1_pi4cxpsk_sync

### - m -

- mask : gmr1_puncturer
- Ml : ambe_subframe
- Mlog : ambe_subframe
- mod : gmr1_pi4cxpsk_burst
- mod_phase : gmr1_pi4cxpsk_symbol
- mod_val : gmr1_pi4cxpsk_symbol

### - n -

- N : gmr1_interleaver
- n : gmr1_interleaver
- N : gmr1_puncturer
- name : tone_desc
- nbits : gmr1_pi4cxpsk_modulation

### - p -

- phi : ambe_synth
- pitch : ambe_raw_params
- pitch_interp : ambe_raw_params
- pos : gmr1_pi4cxpsk_data, gmr1_pi4cxpsk_sync
- psi1 : ambe_synth

### - r -

- r : gmr1_puncturer
- rotation : gmr1_pi4cxpsk_modulation

### - s -

- SE : ambe_synth
- sf0_mag_interp : ambe_raw_params
- sf0_perr_14 : ambe_raw_params
- sf0_perr_58 : ambe_raw_params
- sf1_hoc : ambe_raw_params
- sf1_prba12 : ambe_raw_params
- sf1_prba34 : ambe_raw_params
- sf1_prba57 : ambe_raw_params
- sf_prev : ambe_decoder
- syms : gmr1_pi4cxpsk_modulation, gmr1_pi4cxpsk_sync
- sync : gmr1_pi4cxpsk_burst
- synth : ambe_decoder

### - t -

- tone_phase_f1 : ambe_decoder
- tone_phase_f2 : ambe_decoder

### - u -

- u_prev : ambe_synth
- uw_prev : ambe_synth

### - v -

- v_uv : ambe_raw_params, ambe_subframe
- Vl : ambe_subframe

### - w -

- w0 : ambe_subframe